%define dist .fc3
%define fedora 3

Name: gnome-applet-netspeed    
Version: 0.11
Release: 1%{?dist}
Summary: GNOME applet that shows traffic on a network device

Group: Applications/Internet
License: GPL   
URL: http://mfcn.ilo.de/netspeed_applet
Source0: http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/packages/netspeed_applet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig, gettext, scrollkeeper
BuildRequires: libgnomeui-devel >= 2.8
BuildRequires: gnome-panel-devel >= 2.8
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Provides: netspeed_applet = %{version}-%{release}
Obsoletes: netspeed_applet <= 0.11

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang netspeed_applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/netspeed_applet/

%changelog
* Sat May 07 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.11-1
- Dropping back to 0.11 for FC3 builds

* Mon Apr 25 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-2
- Adding dist tag

* Thu Apr 21 2005 Aaron Kurtz <a.kurtz@hardsun.net> - 0.12.1-1
- Initial Fedora RPM release
